#{extends 'common/landing-base.html' /}
#{set 'title'}
Registrasi Admin K/L/P/D
#{/set}

<section class="header-blacklist" style="background-image: url('../../public/images/bg-blacklist.svg')">
    <div class="ui grid" style="height: 120px; margin-top: 0px;">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Daftar Hitam</h2>
        </div>
    </div>
</section>
<section class="content-blacklist">
    <div class="ui container">
        <div class="sixteen wide column">
            <div class="ui breadcrumb">
                <a href="https://monev-ng.cloud.javan.co.id" class="section">Home</a>
                <div class="divider"> / </div>
                <div class="active section">Daftar Hitam</div>
                <input type="hidden" id="offset" class="offset" value="0" >
                <input type="hidden" id="limit" class="limit" value="8" >
            </div>
            <div class="ui divider hidden"></div>
        </div>
        <div class="ui two column grid stackable">
            <div class="ui left floated column">
                <div class="ui search">
                    <div class="ui icon input">
                        <input class="prompt search-blacklist" type="text" placeholder="cari daftar hitam">
                        <i class="search icon"></i>
                    </div>
                </div>
            </div>

        </div>
        <div class="ui divider hidden"></div>
        <div class="ui grid">
            <div class="sixteen wide column">
                <table class="ui padded table fixed">
                    <thead class="center aligned">
                        <tr>
                            <th>Penyedia</th>
                            <th>Alamat</th>
                            <th>Tayang</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody class="center aligned">
                    #{list items: blacklists, as: 'blacklist'}
                        <tr id="card${blacklist.id}" data-json="${blacklist.json_data}">
                            <td>
                                <div class="font-bold">${blacklist.detail.nama_penyedia}</div>
                                <div>${blacklist.detail.npwp}</div>
                            </td>
                            <td>
                                <div>${blacklist.detail.alamat}</div>
                                <div>${blacklist.detail.kabupaten.nama}, ${blacklist.detail.provinsi.nama}</div>
                            </td>
                            <td>
                                ${blacklist.detail.dibuat.format('dd MMM yyyy')}
                            </td>

                            <td>
                                <a class="ui teal label" onclick="showDetail(${blacklist.id})">Detail</a>
                            </td>
                        </tr>
                    #{/list}
                    </tbody>
                </table>
            </div>
            <div class="sixteen wide column right aligned">
                <div class="ui pagination menu component-pagination">
                    <a class="active item">
                        1
                    </a>
                    <div class="disabled item">
                        ...
                    </div>
                    <a class="item">
                        10
                    </a>
                    <a class="item">
                        11
                    </a>
                    <a class="item">
                        12
                    </a>
                </div>
            </div>
        </div>

<!--        <div class="ui five column grid stackable artikel artikelku">-->
<!--            <div class="ui four cards">-->
<!--                #{list items: blacklists, as: 'blacklist'}-->
<!--                    <div class="card" id="card${blacklist.id}" data-json="${blacklist.json_data}">-->
<!--                        <div class="content">-->
<!--                            <div class="header">${blacklist.detail.nama_penyedia} (${blacklist.detail.npwp})</div>-->
<!--                            <div class="meta">-->
<!--                                Tayang pada ${blacklist.detail.dibuat.format('dd-MM-yyyy')}-->
<!--                            </div>-->
<!--                            <div class="description">-->
<!--                                ${blacklist.detail.alamat} <br/><br/>-->
<!--                                ${blacklist.detail.kabupaten.nama}, ${blacklist.detail.provinsi.nama}-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="ui bottom attached button" onclick="showDetail(${blacklist.id})">-->
<!--                            <i class="ban icon"></i>-->
<!--                            Pelanggaran-->
<!--                        </div>-->
<!--                    </div>-->
<!--                #{/list}-->
<!--            </div>-->
<!--        </div>-->
    </div>
    <div class="ui one column centered grid">
        <div class="bg-danger alert-content hidden"></div>
    </div>
    <div class="ui divider hidden"></div>
    <div class="ui divider hidden"></div>
    <div class="ui divider hidden"></div>
</section>

<div class="ui modal large modal-blacklist-detail">
    <i class="close icon"></i>
    <div class="header">Detail</div>
    <div class="content">
        <table class="ui table definition">
            <tr>
                <td>Nama Penyedia</td>
                <td id="nama-penyedia">-</td>
            </tr>
            <tr>
                <td>NPWP</td>
                <td id="npwp">-</td>
            </tr>
            <tr>
                <td>Alamat</td>
                <td id="alamat">-</td>
            </tr>
            <tr>
                <td>Provinsi</td>
                <td id="propinsi">-</td>
            </tr>
            <tr>
                <td>Kabupaten</td>
                <td id="kabupaten-kota">-</td>
            </tr>
        </table>
        <h4>Daftar Pelanggaran</h4>
        <table id="pelanggaran" class="ui table small celled very padded" style="border: 0 none">
            <thead>
            <tr>
                <th>SK Penetapan</th>
                <th>Pelanggaran</th>
                <th>Tanggal Penayangan</th>
            </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</div>


#{set 'moreScripts'}
<script type="text/javascript">

    var pelanggaran = $('#pelanggaran');

    var showDetail = function (id) {
        var data = $("#card"+id).data('json');
        changeModalContent(data);
        $('.modal-blacklist-detail').modal('show');
    }

    var changeModalContent = function(data) {

        $('#sk').text(data.sk);
        $('#nama-penyedia').text(data.nama_penyedia != null ? data.nama_penyedia : '');
        $('#npwp').text(data.npwp);
        var addtionalAddress = data.additional_address ? '<p>' + data.additional_address + '</p>' : '';
        $('#alamat').html('<p>' + data.alamat + '</p>' + addtionalAddress);
        $('#kabupaten-kota').text(data.kabupaten != null ? data.kabupaten.nama : '-');
        $('#propinsi').text(data.provinsi != null ? data.provinsi.nama : '-');

        if(data.pelanggaran.length > 0){
            var elements = '';
            var dataInjunctions = data.pelanggaran;
            var k = 1;
            for (var i in data.pelanggaran){
                var injunction = dataInjunctions[i];
                var violationName = (injunction && injunction.detil_pelanggaran) ? injunction.detil_pelanggaran.jenis_pelanggaran : '-';
                var violationDesc = (injunction && injunction.detil_pelanggaran) ? injunction.detil_pelanggaran.deskripsi : '-';
                var publishedAt = (injunction.published_date) ? injunction.published_date : '-';

                elements += '<tr class="'+((injunction.sk === data.sk) ? 'active' : '')+'"> ' +
                        '<td>'+injunction.sk+'</td> ' +
                        '<td><div class="ui list"> ' +
                        '<div class="item"> ' +
                        '<i class="icon minus circle"></i> ' +
                        '<div class="content"> ' +
                        '<div class="header"> '+violationName+' </div>' +
                        '<div class="description" style="white-space: normal;"> '+violationDesc+' </div> ' +
                        '</div>' +
                        '</div>' +
                        '</div></td>' +
                        '<td style="width: 450px;">'+ publishedAt +'</td> ' +

                        '</tr>';
            }

            pelanggaran.find('tbody').html(elements);
            pelanggaran.removeClass('hidden');
        }else {
            pelanggaran.find('tbody').addClass('hidden');
        }
    }

    $(document).ready(function() {

        let listenToId = function() {
            let arr = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&')
            console.log(arr)
            if (arr.length > 0) {
                var query = {}
                for(var i = 0; i < arr.length; i++) {
                    hash = arr[i].split('=');
                    query[hash[0]] = hash[1];
                }
                console.log(query)
                if (query['id'] && !isNaN(query['id'])) {
                    showDetail(query['id'])
                }
            }
        }

        listenToId()
    })


</script>
#{/set}